- added glibc patch (glibc 2.21 support) auto/th/valgrind-3.10.1-1
authorJakub Bogusz <qboosh@pld-linux.org>
Thu, 7 May 2015 19:26:15 +0000 (21:26 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Thu, 7 May 2015 19:26:15 +0000 (21:26 +0200)
- added mpi bcond

valgrind-glibc.patch [new file with mode: 0644]
valgrind.spec

diff --git a/valgrind-glibc.patch b/valgrind-glibc.patch
new file mode 100644 (file)
index 0000000..3d6c37d
--- /dev/null
@@ -0,0 +1,16 @@
+--- valgrind-3.10.1/configure.ac.orig  2015-05-07 20:25:25.286786881 +0200
++++ valgrind-3.10.1/configure.ac       2015-05-07 20:48:33.833395275 +0200
+@@ -1018,6 +1018,13 @@
+       DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
+       DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
+       ;;
++     2.21)
++      AC_MSG_RESULT(2.21 family)
++      AC_DEFINE([GLIBC_2_21], 1, [Define to 1 if you're using glibc 2.21.x])
++      DEFAULT_SUPP="glibc-2.X.supp ${DEFAULT_SUPP}"
++      DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
++      DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
++      ;;
+      darwin)
+       AC_MSG_RESULT(Darwin)
+       AC_DEFINE([DARWIN_LIBC], 1, [Define to 1 if you're using Darwin])
index f4468a202783bd0c4b22264874a49e1df1d06bfd..4ddf5f5cf6295de6b8ec117dd9baa790cc2b1cd5 100644 (file)
@@ -1,25 +1,31 @@
 # TODO:
 # - fix CC detection in configure, so CC=gcc won't be needed
+#
+# Conditional build:
+%bcond_with    mpi     # MPI wrapper module
+#
 Summary:       An open-source memory debugger
 Summary(pl.UTF-8):     Otwarty odpluskwiacz pamięci
 Name:          valgrind
 Version:       3.10.1
 Release:       1
-License:       GPL
+License:       GPL v2+
 Group:         Development/Tools
 Source0:       http://valgrind.org/downloads/%{name}-%{version}.tar.bz2
 # Source0-md5: 60ddae962bc79e7c95cfc4667245707f
 Patch0:                %{name}-native-cpuid.patch
 Patch1:                %{name}-ld_linux_strlen.patch
+Patch2:                %{name}-glibc.patch
 URL:           http://valgrind.org/
-BuildRequires: autoconf
-BuildRequires: automake
+BuildRequires: autoconf >= 2.50
+BuildRequires: automake >= 1:1.10
 BuildRequires: gcc >= 5:3.0
 # check in configure.ac:882 AC_MSG_CHECKING([the GLIBC_VERSION version])
 BuildRequires: glibc-devel >= 6:2.2
-BuildRequires: glibc-devel <= 6:2.19
+BuildRequires: glibc-devel < 6:2.22
 BuildRequires: libgomp-devel
 BuildRequires: libstdc++-devel
+%{?with_mpi:BuildRequires:     mpi-devel}
 Obsoletes:     valgrind-callgrind
 Obsoletes:     valgrind-calltree
 ExclusiveArch: %{ix86} %{x8664} arm ppc ppc64 s390x
@@ -49,13 +55,14 @@ pracować.
 %setup -q
 %patch0 -p1
 %patch1 -p1
+%patch2 -p1
 
 sed -i -e 's:^CFLAGS="-Wno-long-long":CFLAGS="$CFLAGS -Wno-long-long":' configure.ac
 
 %build
 %{__aclocal}
-%{__autoheader}
 %{__autoconf}
+%{__autoheader}
 %{__automake}
 
 ac_cv_path_GDB=/usr/bin/gdb \
@@ -99,6 +106,10 @@ rm -rf $RPM_BUILD_ROOT
 %dir %{_libdir}/%{name}
 %attr(755,root,root) %{_libdir}/%{name}/*-linux
 %attr(755,root,root) %{_libdir}/%{name}/vgpreload_*-linux.so
+%if %{with mpi}
+# TODO: subpackage?
+%attr(755,root,root) %{_libdir}/%{name}/libmpiwrap-*-linux.so
+%endif
 %{_libdir}/%{name}/*.xml
 %{_libdir}/%{name}/default.supp
 %{_libdir}/%{name}/lib*-linux.a
This page took 0.262245 seconds and 4 git commands to generate.